Product: ImportOmatic
Description: Occurs when attempting to edit an existing profile
                  Occurs when attempting to save edits to an existing profile
                  Occurs when using v. 4.5 or below of Microsoft.Net Framework
Environment: Installation of v. 4.5 or below of Microsoft.Net Framework
Versions: IOM v. 3.3.0.0


Answer:

This error occurs when a version lower than 4.5 of the Microsoft.Net Framework is installed on a workstation that has been updated to the 3.3.0.0 version of IOM. 


To resolve: Download version 3.3.0.1 of IOM or above. This version contains a .NET framework check that will force an update to the .NET framework.